## This library is free software; you can redistribute it and/or
## modify it under the terms of the GNU Lesser General Public
## License as published by the Free Software Foundation; either
## version 2.0 of the License, or any later version.

## This library is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
##  General Public License for more details.

## You should have received a copy of the GNU  General Public
## License along with this library; if not, write to the Free Software
## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

from Products.Archetypes.Registry import registerWidget
from Products.Archetypes.Widget import TypesWidget


_marker = []
__all__ = ('DateBoxWidget',)

class DateBoxWidget(TypesWidget):
    """For creating lines objects"""
    _properties = TypesWidget._properties.copy()
    _properties.update({
        'macro' : 'datebox',
        'format' : '',
        #'value' : '',
        'helper_js' : ('calendar_stripped.js',
                       'dateparse.js',
                       'calendar-setup_stripped.js',
                       'lang/calendar-en.js',),
        'helper_css': ('calendar-blue.css',),        
        
        })



registerWidget(DateBoxWidget,
               title='DateBox',
               description=('Renders a HTML input box with a helper '
                            'popup box for choosing dates'),
               used_for=('Products.Archetypes.Field.DateTimeField',)
               )
