#
# skeletonTestCase Skeleton
#

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

from Testing import ZopeTestCase
from Products.DateBox.tests import dateboxTestCase
from DateTime import DateTime

class testInstallation(dateboxTestCase.dateboxTestCase):

    def afterSetUp(self):
        pass

    def testPortalTypes(self):
        types = self.portal.portal_types.objectIds()
        self.failUnless('DateBoxDemoType' in types)

    def testPortalSkins(self):
        skins = self.portal.portal_skins.objectIds()
        self.failUnless('datebox' in skins)

    def testAddingDemo(self):
        self.folder.invokeFactory('DateBoxDemoType','foo')
        self.failUnless('foo' in self.folder.objectIds())
    
    def testGettingField(self):
        self.folder.invokeFactory('DateBoxDemoType','foo')
        self.failIf(self.folder.foo.getDemoField())    

    def testSettingField(self):
        self.folder.invokeFactory('DateBoxDemoType','foo')
        val  = '1-1-2006'
        self.folder.foo.setDemoField(val )
        self.assertEqual(isinstance(self.folder.foo.getDemoField(), DateTime),True)

    def testRenderingDoesNotFail(self):
        self.folder.invokeFactory('DateBoxDemoType','foo')
        self.failUnless(self.folder.foo())      

def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(testInstallation))
    return suite

if __name__ == '__main__':
    framework()
